<!DOCTYPE html>
<html lang="en">
<head>
<title>Admin Panel / </title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Ela Admin - HTML5 Admin Template</title>
    <meta name="description" content="Ela Admin - HTML5 Admin Template">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="apple-touch-icon" href="https://i.imgur.com/QRAUqs9.png">
    <link rel="shortcut icon" href="https://i.imgur.com/QRAUqs9.png">

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/normalize.css@8.0.0/normalize.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.1.3/dist/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/font-awesome@4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/gh/lykmapipo/themify-icons@0.1.2/css/themify-icons.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/pixeden-stroke-7-icon@1.2.3/pe-icon-7-stroke/dist/pe-icon-7-stroke.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/flag-icon-css/3.2.0/css/flag-icon.min.css">
    <link rel="stylesheet" href="styles/cs-skin-elastic.css">
    <link rel="stylesheet" href="styles/style.css">

    <link href='https://fonts.googleapis.com/css?family=Open+Sans:400,600,700,800' rel='stylesheet' type='text/css'>


</head>
<body>

    <!-- Navigation -->
    <%- include ('partialsAdmin/navigation') %>

    <div id="right-panel" class="right-panel">

        <!-- Header -->
        <%- include ('partialsAdmin/header') %>

        <div class="content">
            <div class="animated">

                <div class="card">
                    <div class="card-header">
                        <strong class="card-title" v-if="headerText">Agregar Museo / Exposición de Arte</strong>
                    </div>
                    <div class="card-body">
                        <button type="button" class="btn btn-primary mb-1" data-toggle="modal" data-target="#agregarModal">
                          Agregar
                        </button>

                        <div class="content">
                            <div class="animated fadeIn">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="card">
                                            <div class="card-header">
                                                <strong class="card-title">Listado</strong>
                                            </div>
                                            <div class="card-body">
                                                <table id="bootstrap-data-table" class="table table-striped table-bordered">
                                                    <thead>
                                                        <tr>
                                                            <th>Nombre</th>
                                                            <th>Tipo</th>
                                                            <th>Código Postal</th>
                                                            <th>Contacto</th>
                                                            <th>Acción</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        <% if (data) { %>
                                                            <% for(var i = 0; i < data.length; i++) { %>
                                                            <tr>
                                                                <td><%= (i + 1) %></td>
                                                                <td><%= data[i].nombre_museo %></td>
                                                                <td><%= data[i].tipo %></td>
                                                                <td><%= data[i].cp %></td>
                                                                <td><%= data[i].telefono %></td>
                                                                <td>
                                                                    <a class="btn btn-warning mb-1"  href="/updatemuseo/<%= data[i].id %>">
                                                                        Editar
                                                                    </a>
                                                                    <a class="btn btn-danger mb-1"  href="/deletemuseo/<%= data[i].id %>">
                                                                        Eliminar
                                                                    </a>
                                                                </td>
                                                            </tr>
                                                            <% } %>
                                                        <% } %>
                                                        
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                  </div>
              </div>

            
            <div class="modal fade" id="agregarModal" tabindex="-1" role="dialog" aria-labelledby="largeModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-lg" role="document">
                    <form action="/addMuseo" method="POST">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="smallmodalLabel">Importante</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="">
                                <div class="card">
                                    <div class="card-header">
                                        <strong>Agregar</strong> Museo
                                    </div>
                                    <div class="card-body card-block">
                                        <div class="row form-group">
                                            <div class="col col-md-3"><label for="text-input" class=" form-control-label">Nombre</label></div>
                                            <div class="col-12 col-md-9"><input type="text" id="nombre_museo" name="nombre_museo" placeholder="Nombre" class="form-control"></div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col col-md-3"><label for="select" class=" form-control-label">Tipo</label></div>
                                            <div class="col-12 col-md-9">
                                                <select name="tipo" id="tipo" class="form-control">
                                                    <option value="Museo">Museo</option>
                                                    <option value="Exposición de Arte">Exposición de Arte</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col col-md-3"><label for="text-input" class=" form-control-label">Contacto</label></div>
                                            <div class="col-12 col-md-9"><input type="text" id="telefono" name="telefono" placeholder="Telefono" class="form-control"></div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col col-md-3"><label for="text-input" class=" form-control-label">CP</label></div>
                                            <div class="col-12 col-md-9"><input type="text" id="cp" name="cp" placeholder="CP" class="form-control"></div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col col-md-3"><label for="text-input" class=" form-control-label">Calle</label></div>
                                            <div class="col-12 col-md-9"><input type="text" id="calle" name="calle" placeholder="Calle" class="form-control"></div>
                                        </div>                                            
                                        <div class="row form-group">
                                            <div class="col col-md-3"><label for="text-input" class=" form-control-label">Precio c/b</label></div>
                                            <div class="col-12 col-md-9"><input type="text" id="precio_boleto" name="precio_boleto" placeholder="Precio c/b" class="form-control"></div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col col-md-3"><label for="text-input" class=" form-control-label">Disponibles</label></div>
                                            <div class="col-12 col-md-9"><input type="text" id="disponibles" name="disponibles" placeholder="Disponibles" class="form-control"></div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col col-md-3"><label for="file-multiple-input" class=" form-control-label">Foto</label></div>
                                            <div class="col-12 col-md-9"><input type="file" id="file-multiple-input" name="file-multiple-input" multiple="" class="form-control-file"></div>
                                        </div>
                                </div>
                                    <div class="card-footer">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-danger" data-dismiss="modal">Cancelar</button>
                            <button type="submit" class="btn btn-success">Confirmar</button>
                        </div>
                    </div>
                </form>
                </div>
            </div>

    </div><!-- .animated -->
</div><!-- .content -->

<!-- Header -->
<%- include ('partialsAdmin/footer') %>


<div class="clearfix"></div>



</div><!-- /#right-panel -->

<!-- Right Panel -->
<script src="https://cdn.jsdelivr.net/npm/jquery@2.2.4/dist/jquery.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.14.4/dist/umd/popper.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.1.3/dist/js/bootstrap.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/jquery-match-height@0.7.2/dist/jquery.matchHeight.min.js"></script>
<script src="assets/js/main.js"></script>


</body>
</html>
